Node fetch error

I’ve been using node-fetch for months in my project when all of a sudden it started throwing an error saying that it could not find the node-fetch module. I tried removing it from package.json and re-adding but the glitch package finder didn’t show it.

UPDATE: I’ve gotten the package to show up and have even tried replacing node-fetch with got but it keeps throwing the same error. Additionally, when it reloaded dependencies I noticed that it logged some errors about dependencies of discord.js that hadn’t been loaded; after that it started doing the same error.

Hey @TheGoldenPatrik1,

Does enable-pnpm help?

@khalby786 doing that somehow refreshed the dependencies and got it working again. Thanks!

1 Like